// Where do you want to go today?
// Starting Windows...
local ntoskrnl = true
if srb2p then
	print("SRB2Persona trigger detected. You may experience issues without full mod support.",
		  "Adding just the skin.")
	ntoskrnl = false
elseif (VERSION == 202) and (SUBVERSION < 10)
	ntoskrnl = false
	error("This version of Windows The Computer does not support 2.2.9 or lower. No custom gameplay has loaded.", 0)
else
	print("Windows (The Computer) is now starting...")
	if not WindowsTheComputer
		rawset(_G,"WindowsTheComputer",{}) // Start me up...
	else
		print("Kernel already loaded, it seems. Are you attempting to mix versions here?",
			  "I won't stop you, but be careful.")
	end
end
// Components initialization.
if ntoskrnl then
	for _, dll in ipairs{
		"kernel.lua",
		"Main/win386.lua",
		"Programs/dxsetup.lua",
		"Programs/taskmgr.lua",
		"Programs/wsock32.lua",
		"Main/vga.lua",
		"Compat/netframework.lua",
		"Compat/vs.lua",
		"Compat/plus.lua",
		"bios.lua"
	} do
		dofile(dll)
	end
end